# Realized Volatility `GET` `https://api.unusualwhales.com/api/stock/{ticker}/volatility/realized` The implied and realized volatility of a given ticker. The implied volatility is the expected 30 day forward looking volatility. The realized/historical volatility is the volatility of the stock price in the last 30 days. Since IV is forward looking, the realized volatility is shifted 30 days backwards to see if the past IV pricings were frequently underpricing or overpricing the realized volatility risk. ## Authentication ``` Authorization: Bearer YOUR_API_KEY ``` ## Path Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `ticker` | SingleTicker | Yes | A single ticker | ## Query Parameters | Name | Type | Required | Description | |------|------|----------|-------------| | `date` | Optional Market Date | No | A trading date in the format of YYYY-MM-DD. This is optional and by default the last trading date. | | `timeframe` | Time frame | No | The timeframe of the data to return. Can be one of the following formats: - YTD - 1D, 2D, etc. - 1W, 2W, etc. - 1M, 2M, etc. - 1Y, 2Y, etc. | ## Response (200) | Field | Type | Description | |-------|------|-------------| | `date` | Market General Trading day | A trading date in ISO format. | | `implied_volatility` | Stock IV 30d | The 30 day implied volatility. | | `price` | Stock Close Price | The close stock price of the ticker. | | `realized_volatility` | Realized Stock Volatility | The realized/historical volatility of a stock's price over the past 30 days (21 trading days). | | `unshifted_rv_date` | Unshifted RV Date | The latest date used to calculate the realized volatility. | ## Example ### curl ```bash curl -X GET "https://api.unusualwhales.com/api/stock/{ticker}/volatility/realized" \ -H "Authorization: Bearer YOUR_API_KEY" \ -H "Accept: application/json" ``` ### Python ```python import http.client conn = http.client.HTTPSConnection("api.unusualwhales.com") headers = {"Authorization": "Bearer YOUR_API_KEY", "Accept": "application/json"} conn.request("GET", "/api/stock/{ticker}/volatility/realized", headers=headers) response = conn.getresponse() print(response.read().decode("utf-8")) ``` ## Response Example ```json { "data": [ { "date": "2023-04-11", "implied_volatility": "0.23", "price": "150.15", "realized_volatility": "0.19", "unshifted_rv_date": "2024-05-02" }, { "date": "2023-04-12", "implied_volatility": "0.22", "price": "148.29", "realized_volatility": "0.20", "unshifted_rv_date": "2024-05-03" } ] } ```